VehicleControl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum VehicleControl

    java.lang.Object
      java.lang.Enum<VehicleControl>
          net.ctdp.rfdynhud.gamedata.VehicleControl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VehicleControl>

    public enum VehicleControl

extends java.lang.Enum<VehicleControl>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`LOCAL_AI`
`LOCAL_PLAYER`
`NOBODY`
`REMOTE`
`REPLAY`

Method Summary
`boolean` | `isLocalPlayer()`
`static VehicleControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VehicleControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOBODY

    public static final VehicleControl NOBODY

### LOCAL_PLAYER

    public static final VehicleControl LOCAL_PLAYER

### LOCAL_AI

    public static final VehicleControl LOCAL_AI

### REMOTE

    public static final VehicleControl REMOTE

### REPLAY

    public static final VehicleControl REPLAY

Method Detail

### values

    public static VehicleControl[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VehicleControl c : VehicleControl.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VehicleControl valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isLocalPlayer

    public final boolean isLocalPlayer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD